Package org.apache.tools.ant.taskdefs

## Class XSLTProcess.Factory.Feature

- java.lang.Object
- - org.apache.tools.ant.taskdefs.XSLTProcess.Factory.Feature

- Enclosing class:
    XSLTProcess.Factory

      public static class XSLTProcess.Factory.Feature
      extends java.lang.Object

  A feature for the TraX factory.
  Since:
    Ant 1.9.8

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Feature()` |
    `Feature​(java.lang.String name, boolean value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |
    `boolean` | `getValue()` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setValue​(boolean value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Feature

          public Feature()

    - #### Feature

          public Feature​(java.lang.String name,
                         boolean value)

  - ### Method Detail

    - #### setName

          public void setName​(java.lang.String name)

      Parameters:
        `name` - the feature name.

    - #### setValue

          public void setValue​(boolean value)

      Parameters:
        `value` - the feature value.

    - #### getName

          public java.lang.String getName()

      Returns:
        the feature name.

    - #### getValue

          public boolean getValue()

      Returns:
        the feature value.